// Uses an array of Targets.

class TargetArray
{
  Target [ ] targetList;
  
  TargetArray( int numTargets )
  {
     targetList = new Target[ numTargets ];
     initTargetList ( ); 
  }
  
  void initTargetList( )
  {
     for(int i = 0; i < targetList.length; i++)
    {
       targetList[i] = new Target( int(random( 50, height-50 )), int(random( 25, 75 )) );
    } 
  }
  
  void drawTargets(  )
  {
     for(int i = 0; i < targetList.length; i++)
    {
       targetList[i].drawTarget( i );
    }     
  }
  
  int checkTargetHits( int shotY )
  {
    for(int i = 0; i < targetList.length; i++)
    {
       if( targetList[i].gotHit( shotY ) )
       {
          return i; 
       }
    }
    return -1;    
  }
}
