// Demo Code B 4/3/14
// Defining and using two classes:  target and shot
// Dfining a TargetArray class

TargetArray ta;
Shot s1;
boolean checkHitFlag;


void setup( )
{
  size( 800, 500 );
  noStroke( );
  background( 0 );
  
  textSize( 36 );
  textAlign( CENTER );
  
  ta = new TargetArray( 5 );
  
  s1 = new Shot( );
  
  checkHitFlag = false;
}

void draw( )
{
  ta.drawTargets( );
  
  if ( s1.shotFlag )
  {
    s1.animateShot( );
  }
  if( checkHitFlag )
  {
    checkShot( );
  }
}

void checkShot( )
{
   int targetHit = ta.checkTargetHits( s1.shotY );
   if ( targetHit >= 0)
   {
       checkHitFlag = false;
       s1.shotX = 0;
       s1.shotY = -50;
       fill( 255, 0, 0 );
       rect( 0, 0, width, height );
       fill( 0 );
       text( "Target #" + targetHit + "  hit!", width/2, height/2 );
       text( "Press any key to continue.", width/2, height * .65 );
       noLoop( );
   }    
}

void mousePressed( )
{
  s1.shotFlag = true;
  checkHitFlag = false;
  s1.shotY = mouseY;
  s1.shotX = 0;
  s1.animateShotCounter = 0;
}

void keyPressed( )
{
  background( 0 );
  
  ta = new TargetArray( 5 );
   
  s1.shotFlag = false;
  checkHitFlag = false;
  s1.animateShotCounter = 0;
  s1.shotX = s1.shotY = 0;
  
  loop( );
}
